from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XMutationEvent(XEvent, Protocol):
    def getRelatedNode(self) -> XNode: ...
    def getPrevValue(self) -> str: ...
    def getNewValue(self) -> str: ...
    def getAttrName(self) -> str: ...
    def getAttrChange(self) -> AttrChangeType: ...
    def initMutationEvent(self, typeArg: str, canBubbleArg: bool, cancelableArg: bool, relatedNodeArg: XNode, prevValueArg: str, newValueArg: str, attrNameArg: str, attrChangeArg: AttrChangeType) -> None: ...
